Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.jackson
Class JsonConstants

    java.lang.Object
      org.apache.logging.log4j.core.jackson.JsonConstants

    public final class JsonConstants

extends Object

Keeps constants separate from any class that may depend on third party jars.

Field Summary
`static String` | `ELT_CAUSE`
`static String` | `ELT_CONTEXT_MAP`
`static String` | `ELT_CONTEXT_STACK`
`static String` | `ELT_EXTENDED_STACK_TRACE`
`static String` | `ELT_MARKER`
`static String` | `ELT_MESSAGE`
`static String` | `ELT_PARENTS`
`static String` | `ELT_SOURCE`
`static String` | `ELT_SUPPRESSED`
`static String` | `ELT_THROWN`

Constructor Summary
`JsonConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELT_CAUSE

    public static final String ELT_CAUSE

See Also:
  Constant Field Values

### ELT_CONTEXT_MAP

    public static final String ELT_CONTEXT_MAP

See Also:
  Constant Field Values

### ELT_CONTEXT_STACK

    public static final String ELT_CONTEXT_STACK

See Also:
  Constant Field Values

### ELT_MARKER

    public static final String ELT_MARKER

See Also:
  Constant Field Values

### ELT_PARENTS

    public static final String ELT_PARENTS

See Also:
  Constant Field Values

### ELT_SOURCE

    public static final String ELT_SOURCE

See Also:
  Constant Field Values

### ELT_SUPPRESSED

    public static final String ELT_SUPPRESSED

See Also:
  Constant Field Values

### ELT_THROWN

    public static final String ELT_THROWN

See Also:
  Constant Field Values

### ELT_MESSAGE

    public static final String ELT_MESSAGE

See Also:
  Constant Field Values

### ELT_EXTENDED_STACK_TRACE

    public static final String ELT_EXTENDED_STACK_TRACE

See Also:
  Constant Field Values

Constructor Detail

### JsonConstants

    public JsonConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.